%define _requires_exceptions devel\\(.*\\)

Summary:        Libraries and daemons to implement searching in Akonadi
Name:           akonadi-search
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64boost-devel
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5calendarcore-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5krunner-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5plasma-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64xapian-devel 
BuildRequires: qtbase5-common-devel 

Requires: lib64kf5akonadisearchcore5
Requires: lib64kf5akonadisearchxapian5
Requires: lib64kf5akonadisearchpim5

%description
Libraries and daemons to implement searching in Akonadi.

%files
%_kf5_bindir/akonadi_indexing_agent
%_kf5_datadir/akonadi/agents/akonadiindexingagent.desktop
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5
%_kf5_libdir/qt5/plugins/kf5/krunner/krunner_pimcontacts.so
%_kf5_libdir/qt5/plugins/kf5/krunner/kcms/kcm_krunner_pimcontacts.so
%_kf5_libdir/qt5/plugins/pim5/akonadi/akonadi_search_plugin.so
%_kf5_libdir/qt5/plugins/pim5/akonadi/calendarsearchstore.so
%_kf5_libdir/qt5/plugins/pim5/akonadi/contactsearchstore.so
%_kf5_libdir/qt5/plugins/pim5/akonadi/emailsearchstore.so
%_kf5_libdir/qt5/plugins/pim5/akonadi/notesearchstore.so
/usr/bin/akonadi_html_to_text
#--------------------------------------------------------------------

%define kf5akonadisearchcore_major 5
%define libkf5akonadisearchcore %mklibname kf5akonadisearchcore %{kf5akonadisearchcore_major}

%package -n %libkf5akonadisearchcore
Summary:      Libraries and daemons to implement searching in Akonadi
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchcore
Libraries and daemons to implement searching in Akonadi.

%files -n %libkf5akonadisearchcore
%_kf5_libdir/libKPim5AkonadiSearchCore.so.%{kf5akonadisearchcore_major}*
#--------------------------------------------------------------------

%define kf5akonadisearchpim_major 5
%define libkf5akonadisearchpim %mklibname kf5akonadisearchpim %{kf5akonadisearchpim_major}

%package -n %libkf5akonadisearchpim
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchpim
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchpim
%_kf5_libdir/libKPim5AkonadiSearchPIM.so.%{kf5akonadisearchpim_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchxapian_major 5
%define libkf5akonadisearchxapian %mklibname kf5akonadisearchxapian %{kf5akonadisearchxapian_major}

%package -n %libkf5akonadisearchxapian
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchxapian
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchxapian
%_kf5_libdir/libKPim5AkonadiSearchXapian.so.%{kf5akonadisearchxapian_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchdebug_major 5
%define libkf5akonadisearchdebug %mklibname kf5akonadisearchdebug %{kf5akonadisearchdebug_major}

%package -n %libkf5akonadisearchdebug
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchdebug
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchdebug
%_kf5_libdir/libKPim5AkonadiSearchDebug.so.%{kf5akonadisearchdebug_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchcore_devel %mklibname kf5akonadisearch -d

%package -n %kf5akonadisearchcore_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5akonadisearchcore = %version-%release
Requires:       %libkf5akonadisearchpim = %version-%release
Requires:       %libkf5akonadisearchxapian = %version-%release
Requires:       %libkf5akonadisearchdebug = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5akonadisearchcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5akonadisearchcore_devel
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake

#--------------------------------------------------------------------

%prep
%setup -q 


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang --all %{name}5



%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

